function fig2_13

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)
subaxis(1,1,1,1,'MT',0.01,'MB',0.2,'MR',-0.02,'ML',0.05,'P',0.04)

icase=1

u1=4;
u0=1;
L=6;
xa=1;
xb=5;

grid on
box on
hold on
xlabel('$z$\,-\,axis','Interpreter','latex','FontSize',13)
%ylabel('\phi(z)')
set(gca,'xtick',[-L 0 xa xb],'FontSize',14)

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';

%set(groot,'defaultAxesTickLabelInterpreter','latex')
set(gca,'XTickLabel',{'$- L$','0','$x_a$','$x_b$'},'FontSize',14)
set(gca,'ytick',[0 u0 u1])
set(gca,'YTickLabel',{'0','$u_0$','$u_1$'},'FontSize',14)
axis([-12 6 0 4.5])

% set(groot,'defaultAxesTickLabelInterpreter','latex')
% set(gca,'XTickLabel',{'0','$1/\sqrt{x}$'},'FontSize',12)

% if icase==1

    t1=0.2;  z1=-1;
    t2=1.5;  z2=-2*L;
    t3=2.8;  z3=-2*L;

    %plot([xa 0],[0 (xa-z1)/t1],'--r','Linewidth',1.1)
    plot([xa -2*L],[0 (xa-z2)/t2],'r','Linewidth',1.1)
    %plot([xa -2*L],[0 (xa-z3)/t3],'-.r','Linewidth',1.1)

    %legend({'$\, t=t_1$','$\, t=t_2$','$\, t=t_3$'},'Location','SouthWest','Interpreter','latex','fontsize',13,'AutoUpdate','off')

    plot([-12 -L],[u1 u1],'b','Linewidth',1.3)
    plot([-L 0],[u1 u0],'b','Linewidth',1.3)
    plot([0 6],[u0 u0],'b','Linewidth',1.3)

    %set(gca,'FontSize',16)
    %hold off

%     exportgraphics(gcf,'/Users/mark/Desktop/burga.pdf')
% 
% elseif icase==2

    t1=0.2;  z1=-1;
    t2=3.0;  z2=-2*L;
    t3=6;  z3=-2*L;

    %plot([xb 0],[0 (xb-z1)/t1],'--r','Linewidth',1.1)
    plot([xb -2*L],[0 (xb-z2)/t2],'--r','Linewidth',1.1)
    %plot([xb -2*L],[0 (xb-z3)/t3],'-.r','Linewidth',1.1)

    %legend({'$\, t=t_1$','$\, t=t_2$','$\, t=t_3$'},'Location','SouthWest','Interpreter','latex','fontsize',13,'AutoUpdate','off')

    % plot([-12 -L],[u1 u1],'b','Linewidth',1.3)
    % plot([-L 0],[u1 u0],'b','Linewidth',1.3)
    % plot([0 6],[u0 u0],'b','Linewidth',1.3)

    %set(gca,'FontSize',12)
    hold off

    %exportgraphics(gcf,'/Users/mark/Desktop/burg2.pdf')

end





